## PkTransactionPast PkTransactionPast — TransactionPast object |

## Functions

PkTransactionPast * | pk_transaction_past_new ()
const gchar * | pk_transaction_past_get_cmdline ()
const gchar * | pk_transaction_past_get_data ()
const gchar * | pk_transaction_past_get_id ()
const gchar * | pk_transaction_past_get_timespec ()
GDateTime * | pk_transaction_past_get_datetime ()
gint64 | pk_transaction_past_get_timestamp ()
gboolean | pk_transaction_past_get_succeeded ()
guint | pk_transaction_past_get_duration ()
guint | pk_transaction_past_get_uid ()
PkRoleEnum | pk_transaction_past_get_role ()

## Properties

gchar * | cmdline | Read / Write
gchar * | data | Read / Write
guint | duration | Read / Write
PkRoleEnum | role | Read / Write
gboolean | succeeded | Read / Write
gchar * | tid | Read / Write
gchar * | timespec | Read / Write
guint | uid | Read / Write

## Object Hierarchy

        GObject
        ╰── PkSource
            ╰── PkTransactionPast

## Description

This GObject represents a transaction_past from a transaction_past. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_transaction_past_new ()

    PkTransactionPast *
    pk_transaction_past_new (void);

#### Returns

a new PkTransactionPast object.

Since: 0.5.4

### pk_transaction_past_get_cmdline ()

    const gchar *
    pk_transaction_past_get_cmdline (PkTransactionPast *past);

Gets the past transaction cmdline value;

#### Parameters

past | a valid PkTransactionPast instance |

#### Returns

The transaction data

Since: 0.8.11

### pk_transaction_past_get_data ()

    const gchar *
    pk_transaction_past_get_data (PkTransactionPast *past);

Gets the past transaction data;

#### Parameters

past | a valid PkTransactionPast instance |

#### Returns

The transaction data

Since: 0.8.11

### pk_transaction_past_get_id ()

    const gchar *
    pk_transaction_past_get_id (PkTransactionPast *past);

Gets the past transaction ID value;

#### Parameters

past | a valid PkTransactionPast instance |

#### Returns

The transaction data

Since: 0.8.11

### pk_transaction_past_get_timespec ()

    const gchar *
    pk_transaction_past_get_timespec (PkTransactionPast *past);

Gets the past transaction timespec value;

#### Parameters

past | a valid PkTransactionPast instance |

#### Returns

The transaction data

Since: 0.8.11

### pk_transaction_past_get_datetime ()

    GDateTime *
    pk_transaction_past_get_datetime (PkTransactionPast *past);

Gets the past transaction date & time value;

#### Parameters

past | a valid PkTransactionPast instance |

#### Returns

The transaction data, or `NULL` if it's not available

Since: 0.8.11

### pk_transaction_past_get_timestamp ()

    gint64
    pk_transaction_past_get_timestamp (PkTransactionPast *past);

Gets the past transaction timestamp

#### Parameters

past | a valid PkTransactionPast instance |

#### Returns

The transaction data, or 0 if it's not available

Since: 0.8.11

### pk_transaction_past_get_succeeded ()

    gboolean
    pk_transaction_past_get_succeeded (PkTransactionPast *past);

Gets the past transaction succeeded value;

#### Parameters

past | a valid PkTransactionPast instance |

#### Returns

The transaction data

Since: 0.8.11

### pk_transaction_past_get_duration ()

    guint
    pk_transaction_past_get_duration (PkTransactionPast *past);

Gets the past transaction duration;

#### Parameters

past | a valid PkTransactionPast instance |

#### Returns

The transaction duration in ms

Since: 0.8.11

### pk_transaction_past_get_uid ()

    guint
    pk_transaction_past_get_uid (PkTransactionPast *past);

Gets the past transaction uid;

#### Parameters

past | a valid PkTransactionPast instance |

#### Returns

The transaction data

Since: 0.8.11

### pk_transaction_past_get_role ()

    PkRoleEnum
    pk_transaction_past_get_role (PkTransactionPast *past);

Gets the past transaction role;

#### Parameters

past | a valid PkTransactionPast instance |

#### Returns

The transaction data

Since: 0.8.11

## Types and Values

## Property Details

### The `“cmdline”` property

      “cmdline”                  gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“data”` property

      “data”                     gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“duration”` property

      “duration”                 guint

Flags: Read / Write

Default value: 0

Since: 0.5.4

### The `“role”` property

      “role”                     PkRoleEnum

Flags: Read / Write

Default value: PK_ROLE_ENUM_UNKNOWN

Since: 0.5.4

### The `“succeeded”` property

      “succeeded”                gboolean

Flags: Read / Write

Default value: FALSE

Since: 0.5.4

### The `“tid”` property

      “tid”                      gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“timespec”` property

      “timespec”                 gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“uid”` property

      “uid”                      guint

Flags: Read / Write

Default value: 4294967295

Since: 0.5.4